/******************************************************************************
*
* SampleDialog.h -- constants for the SampleDialog code and resources
*
* Developer Support Center
* Apple Computer, Inc.
* Copyright 1988-1993, Apple Computer, Inc.  All rights reserved.
*
* This file contains constant definitions for the SampleDialog code, including
* dialog IDs, resource IDs and the like.
*
******************************************************************************/

/* Constants for the dialogs we use */

#define circleDialogID	130
#define prefsID			132

/* Constants for alerts for errors these dialogs may encounter */

#define rSizeTooBigAlert	131		/* You entered a text size that's too large */

#define rOnlyTenCirclesID	4000	/* Can't have more than ten circles per
									   document in the preferences 			*/
#define rLessThan500Please	4001	/* Circles must be <=500 pixels wide	*/
#define rInsetTooMuch		4002	/* The inset value is too big			*/
#define rInsetMustBeChanged	4003	/* The inset value was too big for the
									   rectangles you specified when you
									   dismissed the dialog					*/
									   
/* Dialog item numbers for both dialogs */

#define dialogTitle		3			/* item number of title of the dialog */

/* Dialog item numbers for the modify circle dialog */

#define fontTitle		4			/* title of the font pop-up menu */
#define fontPopUp		5			/* The font pop-up user item 	 */
#define sizeTitle		6			/* title of the size pop-up menu */
#define sizeEditText	7			/* Type-in item for size pop-up  */
#define sizePopUp		8			/* The size pop-up user item	 */
#define styleTitle		9			/* title of group of "style" checkboxes */

/* These items are the "style" checkbox items.  They must be in this order,
   and the "plain" box must be the last in the list.  The routines which
   change these items back and forth between checkbox items and a Style
   data type depend on the ordering.										*/

#define boldBox			10			/* These are the style checkbox items */
#define italicBox		11
#define underlineBox	12
#define outlineBox		13
#define shadowBox		14
#define condensedBox	15
#define extendedBox		16
#define plainBox		17

/* more modify item numbers */

#define textTitle		18			/* title for user-entered text 			*/
#define textEditText	19			/* Type-in item for user-entered text 	*/
#define colorButton		20			/* "color..." Button for color systems	*/
#define circleUserItem	21			/* User item for sample circle			*/
#define defaultUserItem	22			/* User item to frame default Button	*/
									   
/* Dialog item numbers for the preferences dialog */

#define numCirclesEditText	4		/* Type-in item for max number of circles	*/
#define maxCirclesTitle		5		/* title for max number of circles item 	*/
#define rectSizeEditText	6		/* Type-in item for circle size				*/
#define rectSizeTitle		7		/* title for circle size item				*/
#define circleInsetEditText	8		/* Type-in item for each circle's inset		*/
#define circleInsetTitle	9		/* title for circle inset item				*/
#define prefsUserItem		10		/* User item to frame default Button		*/
#define forNewDocsTitle		11		/* title showing which prefs are for new docs */

/* Constants for the menus these dialogs use */

#define mFonts	132			/* the "Fonts" menu resource ID */
#define mSize	133			/* the "Size" menu resource ID 	*/

/* Miscellaneous resource IDs */

#define rPopDownArrowID	1000	/* 'SICN' ID of the pop-up down triangle */