/******************************************************************************
*
* SampleUtilities.h -- constants for the SampleUtilities code and resources
*
* Developer Support Center
* Apple Computer, Inc.
* Copyright 1988-1993, Apple Computer, Inc.  All rights reserved.
*
* This file contains constant definitions for the SampleUtilities code,
* including dialog IDs, resource IDs and the like.
*
******************************************************************************/

#define kMissingAppNameStr	-16396		/* string with application name */

#define rActionAlertBase 5000	/* base resource ID for close/quit Alert */
#define kClosing		1		/* string to use when closing */
#define kQuitting		2		/* string to use when quitting */

/* Buttons in the "Save changes to document?" Alert */

#define kSave			1		/* "Save" */
#define kCancel			2		/* "Cancel" */
#define kDontSave		3		/* "Dont Save */

/* Resource IDs for alerts for errors for HandleFileError */

#define rIOError			2001	/* Got an I/O error on a file 				*/
#define rFileAlreadyOpen	2002	/* That file is already open, so you
									   can't open it again 						*/
#define rNoPermission		2003	/* You don't have permission for that file	*/
#define rSomeWeirdError		2004	/* An uncommon error happened             	*/
#define rDiskWriteProt		2005	/* The disk is write-protected 				*/
#define rFileVersionInconsistent 2006	/* The internal file version is later 
										   than what we recognize 				*/
#define rFileDiskLocked		2007	/* can't open with write permission 		*/
#define rSaveChanges		2008	/* Ask if we should save changes before
									   closing or quitting						*/
#define rCantWriteFile		2009	/* Couldn't write the file to disk 			*/

#define rUntitledStrings			1003	/* STR# resource with untitled strings */
#define kUntitledWithSpaceString	1		/* "untitled " 	*/
#define kUntitledNoSpaceString		2		/* "untitled"	*/

/* key code constants for the ClassifyKey routine */

#define kEnterKey		3
#define kDeleteKey		8
#define kTabKey			9
#define kReturnKey		13
#define kEscapeKey		27
#define kLeftArrowKey	28
#define kRightArrowKey	29
#define kUpArrowKey		30
#define kDownArrowKey	31
#define kPeriodKey		46

#define kDigitKeyBit		0
#define kLetterKeyBit		1
#define kHexDigitKeyBit		2
#define kEditKeyBit			3
#define kNonControlKeyBit	4
#define kCommandKeyBit		5
#define kCancelKeyBit		6
#define kAcceptKeyBit		7

#define kDigitKey		(1 << kDigitKeyBit)
#define kLettterKey		(1 << kLetterKeyBit)
#define kHexDigitKey	(1 << kHexDigitKeyBit)
#define kEditKey		(1 << kEditKeyBit)
#define kNonControlKey	(1 << kNonControlKeyBit)
#define kCommandKey		(1 << kCommandKeyBit)
#define kCancelKey		(1 << kCancelKeyBit)
#define kAcceptKey		(1 << kAcceptKeyBit)

